#!/usr/bin/python3
# coding: utf-8

import json
import os
import sys

# getting the name of the directory
# where the this file is present.
current = os.path.dirname(os.path.realpath(__file__))

# Getting the parent directory name
# where the current directory is present.
parent = os.path.dirname(current)

# adding the parent directory to
# the sys.path.
sys.path.append(parent)
sys.path.append(parent + "/src")

from src.agenda_culturel.import_tasks.custom_extractors import lacomedie
from src.agenda_culturel.import_tasks.downloader import SimpleDownloader
from src.agenda_culturel.import_tasks.importer import URL2Events

if __name__ == "__main__":
    u2e = URL2Events(SimpleDownloader(), lacomedie.CExtractor())
    url = "https://lacomediedeclermont.com/saison24-25/wp-admin/admin-ajax.php?action=load_dates_existantes"
    url_human = "https://lacomediedeclermont.com/saison24-25/"

    try:
        events = u2e.process(
            url,
            url_human,
            cache="cache-lacomedie.html",
            default_values={"location": "La Comédie de Clermont"},
            published=True,
        )

        exportfile = "events-lacomedie.json"
        print("Saving events to file {}".format(exportfile))
        with open(exportfile, "w") as f:
            json.dump(events, f, indent=4, default=str)
    except Exception as e:
        print("Exception: " + str(e))
